﻿<div class="{{ $pageRouteServ.pageObject.academicInfo.class + ' ' + $pageRouteServ.pageObject.programme.class }}"
    ng-controller="academicInfo.programmeCtrl as acaprg"    
    ng-init="acaprg.init()"
    ng-if="$appServ.isUser">
    <div class="panel noborder">
        <div class="panel-heading page-heading">
            <div class="panel-table">
                <div class="panel-row">
                    <div class="panel-col col-navigation">
                        <div class="panel-title">
                            <div class="navigation">
                                <ul>
                                    <li class="colhide text-left {{ $utilServ.lang }}">
                                        <span class="{{ $appServ.labelStyle }} bold black f8">
                                            {{ $appServ.getLabel(['program']) }}
                                        </span>
                                    </li>
                                    <li class="colhide separate" ng-if="$facultyServ.isFaculty">
                                        <span class="{{ $appServ.labelStyle }} bold black f8">
                                            :
                                        </span>
                                    </li>
                                    <li class="colshow text-left" ng-if="$facultyServ.isFaculty">
                                        <span class="{{ $appServ.labelStyle }} bold black f9">
                                            {{ $facultyServ.facultyInfo.code + ' - ' + ($facultyServ.facultyInfo.name[$utilServ.lang] | capitalize) }}
                                        </span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="subtitle"
                            ng-if="
                                $facultyServ.isFaculty &&
                                acaprg.addedit.showForm &&
                                (
                                    acaprg.addedit.isEdit ||
                                    acaprg.addedit.isUpdate
                                )
                            ">
                            <div class="panel-title">
                                <div class="navigation">
                                    <ul>
                                        <li class="colshow text-left">
                                            <span class="{{ $appServ.labelStyle }} bold black f9">
                                                {{ $programmeServ.dataRow.programFullCode + ' ' + ($programmeServ.dataRow.name[$utilServ.lang] | capitalize) }}
                                            </span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="panel-title">
                                <div class="navigation">
                                    <ul>
                                        <li class="colshow text-left">
                                            <span class="{{ $appServ.labelStyle }} bold black f9">
                                                {{ $appServ.getLabel(['program', 'table', 'courseYear']) + ' ' + $programmeServ.dataRow.courseYear }}
                                            </span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel-col col-toolbar text-right" ng-show="$facultyServ.isFaculty">
                        <div class="toolbar">
                            <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['add'])"
                                ng-click="
                                    $utilServ.doBlur($event);
                                    acaprg.addedit.showForm = !acaprg.addedit.showForm;
                                    $programmeServ.isProgram = true;
                                    acaprg.addedit.template.action = 'add';
                                    acaprg.addedit.template.init();
                                    $programmeServ.dataRow = {}
                                "
                                ng-if="!acaprg.addedit.showForm">
                                <i class="fa fa-plus white f9 top6"></i>
                            </a>
                            <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['back'])"
                                ng-click="
                                    $utilServ.doBlur($event);
                                    acaprg.table.hide = true;
                                    acaprg.table.isReload = true;
                                    acaprg.addedit.showForm = !acaprg.addedit.showForm;
                                    $programmeServ.isProgram = false;
                                    acaprg.addedit.template.remove()
                                "
                                ng-if="acaprg.addedit.showForm">
                                <i class="fa fa-arrow-left white f10 top5"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel-body page-body"
            ng-show="
                acaprg.showForm &&
                !acaprg.addedit.showForm
            ">
            <uib-tabset active="acaprg.tabSelect.activeTabIndex">
                <uib-tab index="0" heading="{{ $appServ.getLabel(['verify', 'verified']) }}" ng-click="acaprg.tabSelect.selected('verified')">
                    <div onload="prgvef.init()"
                        ng-include="acaprg.verified.template.content"
                        ng-controller="academicInfo.programme.verifiedCtrl as prgvef">
                    </div>
                </uib-tab>
                <uib-tab index="1" heading="{{ $appServ.getLabel(['verify', 'pendingVerify']) }}" ng-click="acaprg.tabSelect.selected('pendingVerify')">
                    <div onload="prgpvf.init()"
                        ng-include="acaprg.pendingVerify.template.content"
                        ng-controller="academicInfo.programme.pendingVerifyCtrl as prgpvf">
                    </div>
                </uib-tab>
                <uib-tab index="2" heading="{{ $appServ.getLabel(['verify', 'sendingVerify']) }}" ng-click="acaprg.tabSelect.selected('sendingVerify')">
                    <div onload="prgsvf.init()"
                        ng-include="acaprg.sendingVerify.template.content"
                        ng-controller="academicInfo.programme.sendingVerifyCtrl as prgsvf">
                    </div>
                </uib-tab>
                <uib-tab index="3" heading="{{ $appServ.getLabel(['transactionHistory']) }}" ng-click="acaprg.tabSelect.selected('transactionHistory')">
                    <div onload="prgtsh.init()"
                        ng-include="acaprg.transactionHistory.template.content"
                        ng-controller="academicInfo.programme.transactionHistoryCtrl as prgtsh">
                    </div>
                </uib-tab>
            </uib-tabset>
        </div>
        <div class="panel-body" onload="acaprg.addedit[acaprg.addedit.template.action].init()"            
            ng-include="acaprg.addedit.template.content"
            ng-if="acaprg.addedit.template.content">
        </div>
    </div>
</div>